How to not being forced to XOrg 7.1 on Gentoo

If you are like me, you like system that works and you care much more about the latest version of KDE than the latest version of XOrg. especially when updating KDE is pain-less and bug-free while XOrg means talking with God, backup-ing your Mother and what not. So I wanted to be able to run
emerge -avUNt world
like everyone else, while staying on XOrg 6.9 Like you might know, the recent portage are not forcing us to do the update. you cannot run 'emerge world' without upgrading. and upgrading is far from being easy. While preventing portage from forcing is not as easy as it sound. It is not that hard. thanks to /etc/portage system. here is how to do it. * first add the following lines in **/etc/portage/package.mask**

### I dont want to update X
>=x11-base/xorg-x11-7.0
>=app-doc/doxygen-1.4.5
>=media-gfx/imagemagick-6.2.5.6
>=x11-libs/qt-4.1.4-r1
>=media-gfx/graphviz-1.16-r2
>=app-office/openoffice-bin-2.0.3
>=media-libs/libsdl-1.2.8-r2
x11-libs/libXScrnSaver
### END
* then add the following line in **/etc/portage/package.unmask**
<x11-base/xorg-x11-7.0
after that you might get 1 or 2 more problem. I remember I also had to modify an ebuild and remove a useless dependency on a package. if it does not work for you. please comment below. I'm gonna help you to go through it and I'll update this post for a more accurate information. have a nice day.

Tags , , , , , , , ,

Posted in , , , | Posted on 17 Nov 2006 07:20by somekool |

Subscribe

my last twitter posts

Personal Links

Tags

Categories

Archives

my Xbox 360 gamertag

Copyright © Mathieu Jobin's Life and Thoughts